# define the java developer kit version
%define java_sdk j2sdk1.4.2_09
# define the java home
%define _java_home /usr/java/
# real name of ant
%define realname apache-ant

Summary: Java based build tool
Name: ant 
Version: 1.6.5
Release: 2tr
Group: Trustix Official
Source: http://www.axint.net/apache/ant/binaries/apache-ant-%{version}-src.tar.bz2
License: Apache License
Buildroot: /var/tmp/%{name}-root

%description
Ant is a Java based build tool. In theory it is kind of like "make"
without makes wrinkles and with the full portability of pure java code.
Ant is different. Instead of a model where it is extended with shell-based
commands, Ant is extended using Java classes. Instead of writing shell
commands, the configuration files are XML-based, calling out a target tree 
where various tasks get executed. Each task is run by an object that 
implements a particular Task interface.

%package doc
Summary: Docs for Apache Ant.
Group: Trustix Official
Requires: %{name} = %{version}

%description doc
Documentation for ant, platform-independent build tool for Java. Used
by Apache Group for jakarta and xml projects.

%prep
%setup -q -n %{realname}-%{version}

%build
# check for java home directory
if [ -z "$JAVA_HOME" ]; then
	JAVA_HOME=%{_java_home}%java_sdk
fi
export JAVA_HOME
sh build.sh

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/etc
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/java

pushd $RPM_BUILD_DIR/%{realname}-%{version}
install bootstrap/bin/{ant,antRun,runant.pl,runant.py} $RPM_BUILD_ROOT%{_bindir}
install bootstrap/lib/*.jar $RPM_BUILD_ROOT%{_datadir}/java/
install bootstrap/lib/ant.jar $RPM_BUILD_ROOT%{_datadir}/java/%{name}-%{version}.jar
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{_datadir}/%{name}/etc
popd

# link ant/lib to all the jar files in java/
ln -s %{_datadir}/java/ $RPM_BUILD_ROOT%{_datadir}/ant/lib

ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT%{_datadir}/java/ant.jar

%post
if [ "$?" != "0" ]; then
  # notice to set java home and ant home
  echo "Remember to install java and place a symbolic link to the java binary in your PATH" 
  echo "Set JAVA_HOME and ANT_HOME paths"
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc KEYS LICENSE README WHATSNEW
%{_bindir}/ant
%{_bindir}/antRun
%{_bindir}/runant.pl
%{_bindir}/runant.py
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/etc
%{_datadir}/%{name}/lib
%{_datadir}/java/*.jar

%files doc
%doc docs

%changelog
* Thu Sep 01 2005 Ajith Thampi <ajith at comodo dot com> 1.6.5-2tr
- use the src instead of binary
- create a ant home directory with /etc and /lib
- link ant/lib to /java to use a single copy of jar files 
- inform user to set the java home and ant home 
	
* Tue Aug 23 2005 Nived Gopalan <nived at comodo dot com> 1.6.5-1tr 
- Initial build for TSL-3.0.  
